﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace AirplaneWithRadar
{
    [Serializable]
    internal class AirplaneNotFoundException : ApplicationException
    {
        public AirplaneNotFoundException(int i) : base($"Не найден объект по позиции {i}") { }
        public AirplaneNotFoundException() : base() { }
        public AirplaneNotFoundException(string message) : base(message) { }
        public AirplaneNotFoundException(string message, Exception exception) : base(message, exception) { }
        protected AirplaneNotFoundException(SerializationInfo info, StreamingContext context) : base(info, context) { }
    }
}
