﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AirplaneWithRadar
{
    internal class EntityAirplaneWithRadar : EntityAirplane
    {
        /// <summary>
        /// Дополнительный цвет
        /// </summary>
        public Color DopColor { get; set; }
        /// <summary>
        /// Признак наличия радара
        /// </summary>
        public bool Radar { get; private set; }
        /// <summary>
        /// Признак наличия лестницы
        /// </summary>
        public bool Ladder { get; private set; }
        /// <summary>
        /// Признак наличия окон
        /// </summary>
        public bool Window { get; private set; }
        public EntityAirplaneWithRadar(int speed, float weight, Color bodyColor, Color dopColor, bool radar, bool ladder, bool window) :
            base(speed, weight, bodyColor)
        {
            DopColor = dopColor;
            Radar = radar;
            Ladder = ladder;
            Window = window;
        }
    }
}
